POST
/v2/payments/intents/validate
curl -X POST "https://api.sandbox.bobpay.co.za/v2/payments/intents/validate" \
-H "content-type: application/json" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-d '{
"id": 12345,
"uuid": "550e8400-e29b-41d4-a716-446655440000",
"short_reference": "3J9QZ",
"custom_payment_id": "ORDER-2024-001",
"amount": 1299.99,
"paid_amount": 1299.99,
"total_paid_amount": 1299.99,
"status": "paid",
"payment_method": "instant-eft",
"original_requested_payment_method": "instant-eft",
"payment_id": 67890,
"payment": {
"id": 67890,
"payment_method_id": 3,
"payment_method": "instant-eft",
"amount": 1299.99,
"status": "success"
},
"item_name": "Wireless Bluetooth Headphones",
"item_description": "Premium noise-cancelling wireless headphones - Black",
"recipient_account_code": "",
"recipient_account_id": 100,
"email": "[email protected]",
"mobile_number": "+27821234567",
"from_bank": "FNB",
"time_created": "2024-01-15T10:30:00Z",
"is_test": false,
"signature": "5d41402abc4b2a76b9719d911017c592",
"notify_url": "https://yourwebsite.co.za/webhook/payment-notification",
"success_url": "https://yourwebsite.co.za/payment/success",
"pending_url": "https://yourwebsite.co.za/payment/pending",
"cancel_url": "https://yourwebsite.co.za/payment/cancelled"
}'